import { DetailedHTMLProps, HTMLAttributes } from "react";
import { twMerge } from "tailwind-merge";

/**
 * # H1 Headers
 * @className twui-h1
 */
export default function H1({
    ...props
}: DetailedHTMLProps<HTMLAttributes<HTMLHeadingElement>, HTMLHeadingElement>) {
    return (
        <h1
            {...props}
            className={twMerge("text-5xl mb-4", "twui-h1", props.className)}
        >
            {props.children}
        </h1>
    );
}
