import { DetailedHTMLProps, HTMLAttributes } from "react";
import { twMerge } from "tailwind-merge";

/**
 * # H5 Headers
 * @className twui-h5
 */
export default function H5({
    ...props
}: DetailedHTMLProps<HTMLAttributes<HTMLHeadingElement>, HTMLHeadingElement>) {
    return (
        <h5
            {...props}
            className={twMerge("text-sm mb-4", "twui-h5", props.className)}
        >
            {props.children}
        </h5>
    );
}
