export const skills = {
    Devops: {
        description: "Server management, deployment, and automation",
        href: "/work/devops",
        portfolio: [
            {
                title: "Server Management",
                description: "Server management, deployment, and automation",
                href: "/work/devops/server-management",
                image: "/images/work/devops/server-management.png",
                technologies: [
                    "Linux",
                    "Docker",
                    "Shell Scripting",
                    "Kubernetes",
                    "Terraform",
                    "AWS",
                    "Hetzner",
                    "Azure",
                    "Google Cloud",
                    "Debian",
                    "Ubuntu",
                    "Alpine",
                    "...",
                ],
            },
            {
                title: "Email Server Setup",
                description:
                    "Self Hosted Email solution. Setup and Deployment.",
                href: "/work/devops/server-management",
                image: "/images/work/devops/server-management.png",
                technologies: ["Linux", "Docker", "Mailinabox", "Hetzner"],
            },
            {
                title: "DNS Configuration",
                description: "Domain names setup, configuration, and security.",
                image: "/images/work/devops/server-management.png",
                technologies: [
                    "Cloudflare DNS",
                    "Cloudflare Zero Trust",
                    "Cloudflare Registry",
                ],
            },
            {
                title: "Web Servers and Reverse Proxies",
                description:
                    "Web Server Configuration and deployment. Plus SSL Certificates provisioning.",
                image: "/images/work/devops/server-management.png",
                technologies: [
                    "NGINX",
                    "Node JS",
                    "Bun JS",
                    "Certbot",
                    "Let's Encrypt",
                ],
            },
            {
                title: "Continuous Integration and Deployment",
                description:
                    "Self hosted and managed solutions for deployment and continuous integration",
                image: "/images/work/devops/server-management.png",
                technologies: [
                    "Coolify",
                    "Vercel",
                    "Github Runners",
                    "Gitea Runners",
                    "Dokploy",
                ],
            },
            {
                title: "Customer Service",
                description:
                    "Self hosted and managed solutions for handling customers",
                image: "/images/work/devops/server-management.png",
                technologies: ["Chatwoot", "Tidio"],
            },
        ],
    },
    "Full Stack": {
        description: "Frontend and Backend development",
        href: "/work/devops",
        portfolio: [
            {
                title: "Server Development",
                description:
                    "Easy development and development of Web servers and APIs",
                image: "/images/work/devops/server-management.png",
                technologies: ["Node JS", "Bun JS", "Shell Script", "Python"],
            },
            {
                title: "API Development and Integration",
                description:
                    "Developing custom APIs and integrating existing APIs from external services",
                image: "/images/work/devops/server-management.png",
                technologies: [
                    "API",
                    "REST",
                    "API Development",
                    "Data Fetching",
                ],
            },
            {
                title: "React JS",
                description: "Development of React JS applications for the web",
                image: "/images/work/devops/server-management.png",
                technologies: [
                    "React",
                    "Next JS",
                    "Vite",
                    "React Hooks",
                    "Functional Components",
                ],
            },
            {
                title: "HTML & CSS",
                description: "HTML and CSS Development for the web",
                image: "/images/work/devops/server-management.png",
                technologies: [
                    "HTML 5",
                    "CSS 3",
                    "SCSS",
                    "Less",
                    "Tailwind CSS",
                ],
            },
            {
                title: "Database",
                description: "Database Development and Management",
                image: "/images/work/devops/server-management.png",
                technologies: [
                    "MySQL",
                    "Mariadb",
                    "PostgreSQL",
                    "MongoDB",
                    "Redis",
                    "SQLite",
                    "Firebase",
                    "Supabase",
                    "Prisma",
                    "Mongoose",
                ],
            },
            {
                title: "User Authentication",
                description: "User Authentication and Authorization",
                image: "/images/work/devops/server-management.png",
                technologies: [
                    "Google Login",
                    "Github Login",
                    "Next Auth",
                    "Firebase",
                    "Cloudflare Zero Trust",
                    "Clerk",
                ],
            },
        ],
    },
    "Software Development": {
        description: "Application development for server, desktop, and web",
        href: "/work/devops",
        portfolio: [
            {
                title: "Node Modules Development",
                description:
                    "Development of Node Modules for server, desktop, and web. Deployed on NPM package registry.",
                image: "/images/work/devops/server-management.png",
                technologies: ["Node JS", "Bun JS", "Shell Scripting", "Rsync"],
            },
            {
                title: "Shell Scripting",
                description:
                    "Development of shell scripts for automation and task execution",
                image: "/images/work/devops/server-management.png",
                technologies: ["Shell Script", "Bash Scripting", "GNU/Linux"],
            },
        ],
    },
};
