import { GitBranch, Github, Linkedin, Mail, Users } from "lucide-react";
import { ReactNode } from "react";

export type HeaderLinkType = {
    name: string;
    href: string;
    current?: boolean;
};

export const HeaderLinks: HeaderLinkType[] = [
    {
        name: "Home",
        href: "/",
        current: true,
    },
    {
        name: "About",
        href: "/about",
    },
    {
        name: "Skills",
        href: "/skills",
    },
    {
        name: "Work",
        href: "/work",
    },
    {
        name: "Blog",
        href: "/blog",
    },
    {
        name: "Contact",
        href: "/contact",
    },
];

export type SocialLinksType = {
    name?: string;
    href: string;
    icon: ReactNode;
};

export const SocialLinks: SocialLinksType[] = [
    {
        name: "Git",
        href: "https://git.tben.me/explore/repos",
        icon: <GitBranch size={17} />,
    },
    // {
    //     name: "Github",
    //     href: "https://github.com/BenjaminToby",
    //     icon: <Github size={17} />,
    // },
    {
        name: "Linkedin",
        href: "https://www.linkedin.com/in/benjamin-toby/",
        icon: <Linkedin size={17} />,
    },
    // {
    //     name: "Teams",
    //     href: "https://team.tben.me/",
    //     icon: <Users size={17} />,
    // },
    {
        name: "Mail",
        href: "mailto:ben@tben.me",
        icon: <Mail size={17} />,
    },
];
